#!/usr/bin/env python2
# -*- coding: utf-8 -*-

from __future__ import division
import os
import numpy as np
import pandas as pd
import serie_ciclos_solicitacion


hs_sim = pd.read_pickle(os.path.join('pruebas', 'cadiz_hs_sim_emp.pkl'))
tp_sim = pd.read_pickle(os.path.join('pruebas', 'cadiz_tp_sim_emp.pkl'))

df = hs_sim.join([tp_sim])
df.dropna(inplace=True)

per = 90
umbral = hs_sim.quantile(q=per/100.).values[0]

umbr_ls = np.arange(umbral, hs_sim.quantile(q=99.99 / 100.).values[0], 0.1)
to_list = np.arange(3, 121, 3)

umbral = umbr_ls[-1]
dur_to = to_list[0]

df_vars_ciclos = serie_ciclos_solicitacion.ciclos_registro_inicial_DI(df, 'hs', umbral, dur_to)
