# -*- coding: utf-8 -*-

import numpy as np


def wrap_to_2pi(x):
    xwrap = np.array(np.fmod((x-np.pi), (2 * np.pi)))
    idx = np.where(np.abs(xwrap) > np.pi)
    xwrap[idx] -= 2 * np.pi * np.sign(xwrap[idx])
    xwrap += np.pi

    return xwrap
